GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::JPEG16Codec Class Reference

Class to do JPEG 16bits (lossless) More...

`#include <gdcmJPEG16Codec.h>`

Inheritance diagram for gdcm::JPEG16Codec:
[legend]
Collaboration diagram for gdcm::JPEG16Codec:
[legend]

## Public Member Functions

| JPEG16Codec ()
| ~JPEG16Codec ()
bool | DecodeByStreams (std::istream &is, std::ostream &os)
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | InternalCode (const char *input, unsigned long len, std::ostream &os)
Public Member Functions inherited from gdcm::JPEGCodec
| JPEGCodec ()
| ~JPEGCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Compress into JPEG.
void | ComputeOffsetTable (bool b)
| Compute the offset table:
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
bool | GetLossless () const
double | GetQuality () const
void | SetLossless (bool l)
void | SetPixelFormat (PixelFormat const &pf)
void | SetQuality (double q)
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec ()
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const unsigned int d[3])
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
void | SetPlanarConfiguration (unsigned int pc)

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Member Functions inherited from gdcm::JPEGCodec
bool | DecodeByStreams (std::istream &is, std::ostream &os)
bool | DecodeExtent (char *buffer, unsigned int xmin, unsigned int xmax, unsigned int ymin, unsigned int ymax, unsigned int zmin, unsigned int zmax, std::istream &is)
bool | IsValid (PhotometricInterpretation const &pi)
void | SetBitSample (int bit)
Protected Attributes inherited from gdcm::JPEGCodec
int | BitSample
bool | Lossless
int | Quality

## Detailed Description

Class to do JPEG 16bits (lossless)

Note
  internal class

## Constructor & Destructor Documentation

gdcm::JPEG16Codec::JPEG16Codec | ( |  | ) |

gdcm::JPEG16Codec::~JPEG16Codec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEG16Codec::DecodeByStreams | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |

virtual

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG16Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  |

virtual

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG16Codec::InternalCode | ( | const char * | input,
|  | unsigned long | len,
|  | std::ostream & | os
| ) |  |

virtual

Reimplemented from gdcm::Coder.

The documentation for this class was generated from the following file:

- gdcmJPEG16Codec.h